-- UTF-8 only.
-- ==========
-- syntax -> http://www.antun.net/tips/script/lua.html
-- # suspend
-- >> coroutine.yield()
-- ==========
-- usage
-- # set enemy for appear time (1/60sec)
-- >> APPEAR(120)
-- # create enemy.
-- >> ENEMY(1, 320, 240)
-- # create enemy from 'FMF'
-- >> FMF("test1.fmf")
-- # wait to execute lua
-- >> WAIT(360)
-- >> coroutine.yield()
-- # play bgm
-- >> BGM("1.ogg")
-- # set limit(sec)
-- >> LIMIT(180)
-- # set damage 'power'
-- >> DMG1_VAL(3)
-- # set damage 'power' in a row
-- >> DMG2_VAL(1)
-- # set 'interval' damage power in a row
-- >> DMG2_TIME(10)

-- Initialize
APPEAR(100)
TIMER_REFLECT(3)
TIMER_ATTACK(10)
LIMIT(60)
DMG1_VAL(5)
DMG2_VAL(1)
DMG2_TIME(30)
RANK(2)
ENEMY_HP(1,  100)
ENEMY_HP(2,  100)
ENEMY_HP(3,  100)
ENEMY_HP(4,  100)
ENEMY_HP(5,  100)
ENEMY_HP(6,  100)
ENEMY_HP(17, 2000)
BANANA(7)

BGM("12.ogg")

FMF("nasu01.fmf")
WAIT2(32*60)
coroutine.yield()

FMF("pokky01.fmf")
WAIT(4*60)
coroutine.yield()

FMF("tako01.fmf")
WAIT2(32*60)
coroutine.yield()

FMF("tako02.fmf")
WAIT2(32*60)
coroutine.yield()

FMF("tako03.fmf")
WAIT2(32*60)
coroutine.yield()

FMF("pokky02.fmf")
WAIT(4*60)
coroutine.yield()
FMF("ichigo02.fmf")
WAIT2(32*60)
coroutine.yield()

FMF("nasu02.fmf")
WAIT2(32*60)
coroutine.yield()

FMF("pokky03.fmf")
WAIT2(32*60)
coroutine.yield()

BGMOFF(3000)

FMF("ichigo01.fmf")
WAIT(2*60)
coroutine.yield()

BGM("11.ogg")

for i = 0, 2 do
	FMF("ichigo02.fmf")
	WAIT(1*60)
	coroutine.yield()
	FMF("ichigo03.fmf")
	WAIT(1*60)
	coroutine.yield()
	FMF("ichigo04.fmf")
	WAIT(1*60)
	coroutine.yield()
end
WAIT2(32*60)
coroutine.yield()

BACK(5, 120);
FMF("boss.fmf")
WAIT(100)
coroutine.yield()
BACK(4, 120)

-- Main
END()

--END()
