-- UTF-8 only.
-- ==========
-- syntax -> http://www.antun.net/tips/script/lua.html
-- # suspend
-- >> coroutine.yield()
-- ==========
-- usage
-- # set enemy for appear time (1/60sec)
-- >> APPEAR(120)
-- # create enemy.
-- >> ENEMY(1, 320, 240)
-- # create enemy from 'FMF'
-- >> FMF("test1.fmf")
-- # wait to execute lua
-- >> WAIT(360)
-- >> coroutine.yield()
-- # play bgm
-- >> BGM("1.ogg")
-- # set limit(sec)
-- >> LIMIT(180)
-- # set damage 'power'
-- >> DMG1_VAL(3)
-- # set damage 'power' in a row
-- >> DMG2_VAL(1)
-- # set 'interval' damage power in a row
-- >> DMG2_TIME(10)

-- Initialize
APPEAR(120)
KINGYO()
TIMER_REFLECT(1)
TIMER_ATTACK(1)
LIMIT(60)
DMG1_VAL(5)
DMG2_VAL(0)
DMG2_TIME(10)
RANK(1)
ENEMY_HP(1,  100)
ENEMY_HP(2,  100)
ENEMY_HP(3,  100)
ENEMY_HP(4,  100)
ENEMY_HP(5,  100)
ENEMY_HP(6,  100)
ENEMY_HP(15, 10000)
BANANA(7)

-- Main

BGMOFF(1000)
BGM("9.ogg")


FMF("01.fmf")
WAIT2(600)
coroutine.yield()

FMF("02.fmf")
WAIT2(180)
coroutine.yield()

FMF("03.fmf")
WAIT2(600)
coroutine.yield()

FMF("04.fmf")
WAIT2(600)
coroutine.yield()

FMF("05.fmf")
WAIT2(600)
coroutine.yield()

FMF("06.fmf")
WAIT2(600)
coroutine.yield()

FMF("07.fmf")
WAIT2(600)
coroutine.yield()

FMF("08.fmf")
WAIT2(600)
coroutine.yield()

FMF("09.fmf")
WAIT2(600)
coroutine.yield()

FMF("10.fmf")
WAIT2(600)
coroutine.yield()

FMF("11.fmf")
WAIT2(600)
coroutine.yield()

BGMOFF(1000)

FMF("12.fmf")
WAIT2(600)
coroutine.yield()

BGM("8.ogg")

FMF("13.fmf")
WAIT2(120)
coroutine.yield()

FMF("14.fmf")
WAIT2(120)
coroutine.yield()

FMF("13.fmf")
WAIT2(120)
coroutine.yield()

FMF("14.fmf")
WAIT2(120)
coroutine.yield()

FMF("13.fmf")
WAIT2(120)
coroutine.yield()

FMF("14.fmf")
WAIT2(120)
coroutine.yield()

FMF("13.fmf")
WAIT2(120)
coroutine.yield()


FMF("12.fmf")
WAIT2(36000)
coroutine.yield()

--BACK(3, 360);
FMF("boss.fmf")
coroutine.yield()
FMF("15.fmf")
coroutine.yield()
WAIT(100)
coroutine.yield()
BACK(4, 120)

END()

--END()
