-- UTF-8 only.
-- ==========
-- syntax -> http://www.antun.net/tips/script/lua.html
-- # suspend
-- >> coroutine.yield()
-- ==========
-- usage
-- # set enemy for appear time (1/60sec)
-- >> APPEAR(120)
-- # create enemy.
-- >> ENEMY(1, 320, 240)
-- # create enemy from 'FMF'
-- >> FMF("test1.fmf")
-- # wait to execute lua
-- >> WAIT(360)
-- >> coroutine.yield()
-- # play bgm
-- >> BGM("1.ogg")
-- # set limit(sec)
-- >> LIMIT(180)
-- # set damage 'power'
-- >> DMG1_VAL(3)
-- # set damage 'power' in a row
-- >> DMG2_VAL(1)
-- # set 'interval' damage power in a row
-- >> DMG2_TIME(10)

-- remainder operator
function mod(a, b)
	return a - math.floor(a/b)*b
end

-- Initialize
APPEAR(120)
TIMER_REFLECT(3)
TIMER_ATTACK(10)
LIMIT(60)
DMG1_VAL(5)
DMG2_VAL(0)
DMG2_TIME(10)
RANK(1)
ENEMY_HP(1,  100)
ENEMY_HP(2,  100)
ENEMY_HP(3,  100)
ENEMY_HP(4,  100)
ENEMY_HP(18, 1500)
BANANA(5)
BANANA(10)

-- Main
BGM2("7.ogg")

FMF("nasu01.fmf")
WAIT(4*60)

coroutine.yield()
FMF("tako01.fmf")
WAIT2(32*60)
coroutine.yield()

FMF("nasu02.fmf")
WAIT(4*60)
coroutine.yield()
FMF("tako01.fmf")
WAIT2(32*60)
coroutine.yield()
FMF("tako02.fmf")
WAIT2(32*60)
coroutine.yield()
FMF("go01.fmf")
WAIT2(32*60)
coroutine.yield()
BGMOFF(5000)

-- put 'TAKOYAKI' in a circle pattern.
for i=0, 11 do
	if mod(i, 3) == 0 then a = 1 else a = 0 end -- each 3 to 'BANANA'
	rad = math.rad(30*i + 90)
	dx  = 200*math.cos(rad)
	dy  = 200*-math.sin(rad)
	ENEMY(4, 320+dx, 240+dy, a)
	WAIT(3)
	coroutine.yield()
end
WAIT2(32*60)
coroutine.yield()

BACK(5, 120);
BGM("6.ogg")
FMF("boss.fmf")

WAIT(100)
coroutine.yield()
BACK(4, 120)
END()

--END()
